## vulkan-tools 1.1.82.0+dfsg1

=== debian/changelog ===
vulkan-tools (1.1.82.0+dfsg1-0ubuntu2) cosmic; urgency=medium

  * Fix versioned Breaks/Replaces from vulkan-tools to vulkan-utils.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 14 Oct 2018 12:11:04 -0600

vulkan-tools (1.1.82.0+dfsg1-0ubuntu1) cosmic; urgency=medium

  * Sync from Debian.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 21 Sep 2018 14:45:41 +0300

vulkan-tools (1.1.82.0+dfsg1-1) experimental; urgency=medium

  * Initial upload, split from old src:vulkan.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 21 Sep 2018 14:32:33 +0300
