=== debian/control ===
Source: vulkan-tools
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Build-Depends: debhelper (>= 11),
 cmake,
 glslang-tools,
 libvulkan-dev (>= 1.1.82.0),
 libwayland-dev,
 libx11-dev,
 libxcb1-dev,
 libxrandr-dev,
 python3,
Standards-Version: 4.2.0
Section: libs
Homepage: https://github.com/KhronosGroup/Vulkan-Tools
Vcs-Git: https://salsa.debian.org/xorg-team/vulkan/vulkan-tools.git
Vcs-Browser: https://salsa.debian.org/xorg-team/vulkan/vulkan-tools

Package: vulkan-tools
Architecture: linux-any
Section: graphics
Depends: ${shlibs:Depends}, ${misc:Depends},
 libvulkan1,
Breaks: vulkan-sdk-runtime,
 vulkan-utils (<< 1.1.82.0+dfsg1-0ubuntu1),
Replaces: vulkan-sdk-runtime,
 vulkan-utils (<< 1.1.82.0+dfsg1-0ubuntu1),
Provides:
 vulkan-utils,
Description: Miscellaneous Vulkan utilities
 This package provides utilities for Vulkan, including vulkaninfo.

Package: vulkan-utils
Architecture: all
Priority: optional
Section: oldlibs
Depends: vulkan-tools, ${misc:Depends}
Description: transitional package
  This is a transitional package. It can safely be removed.
