=== debian/rules ===
#!/usr/bin/make -f

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --builddirectory=build/

override_dh_auto_configure:
	dh_auto_configure -- \
	-DGLSLANG_INSTALL_DIR=/usr/bin

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

	mv debian/tmp/usr/bin/cube debian/tmp/usr/bin/vulkan-cube
	mv debian/tmp/usr/bin/cubepp debian/tmp/usr/bin/vulkan-cubepp

override_dh_missing:
	dh_missing --fail-missing

override_dh_clean:
	dh_clean
	rm -rf scripts/__pycache__
