## vulkan-tools 1.1.97+dfsg1

=== debian/changelog ===
vulkan-tools (1.1.97+dfsg1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 23 Jan 2019 14:23:59 +0200

vulkan-tools (1.1.97+dfsg1-1) experimental; urgency=medium

  * New upstream version.
  * watch: Updated for new tag naming.
  * Use upstream names for vkcube*.
  * control: Fix a typo.
  * control: Bump libvulkan-dev build-dep.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 13 Jan 2019 17:47:25 +0200
