=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: vulkan-tools
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Build-Depends: debhelper (>= 11),
  cmake,
  glslang-tools,
- libvulkan-dev (>= 1.1.82.0),
+ libvulkan-dev (>= 1.1.97),
  libwayland-dev,
  libx11-dev,
  libxcb1-dev,
@@ -23,9 +22,9 @@
 Depends: ${shlibs:Depends}, ${misc:Depends},
  libvulkan1,
 Breaks: vulkan-sdk-runtime,
- vulkan-utils (<< 1.1.82.0+dfsg1-0ubuntu1),
+ vulkan-utils (<< 1.1.82.0+dfsg1-1),
 Replaces: vulkan-sdk-runtime,
- vulkan-utils (<< 1.1.82.0+dfsg1-0ubuntu1),
+ vulkan-utils (<< 1.1.82.0+dfsg1-1),
 Provides:
  vulkan-utils,
 Description: Miscellaneous Vulkan utilities
@@ -37,4 +36,4 @@
 Section: oldlibs
 Depends: vulkan-tools, ${misc:Depends}
 Description: transitional package
-  This is a transitional package. It can safely be removed.
+ This is a transitional package. It can safely be removed.
