## vulkan-tools 1.1.101.0+dfsg1

=== debian/changelog ===
vulkan-tools (1.1.101.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * watch: Use proper tag names.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 07 Mar 2019 16:00:47 +0200
