## vulkan-tools 1.1.114.0+dfsg1

=== debian/changelog ===
vulkan-tools (1.1.114.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * watch: Updated.
  * control: Bump build-dep on libvulkan-dev.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Aug 2019 21:40:25 +0300
