=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper (>= 11),
  cmake,
  glslang-tools,
- libvulkan-dev (>= 1.1.97),
+ libvulkan-dev (>= 1.1.114.0),
  libwayland-dev,
  libx11-dev,
  libxcb1-dev,
