## vulkan-tools 1.1.126.0+dfsg1

=== debian/changelog ===
vulkan-tools (1.1.126.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump libvulkan-dev build-dependency.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Nov 2019 16:11:27 +0200

vulkan-tools (1.1.121.0+dfsg1-1) unstable; urgency=medium

  * New upstream release. (Closes: #939301)
  * control: Bump build-dep on libvulkan-dev.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 17 Sep 2019 10:51:25 +0300
