## vulkan-tools 1.2.131.1+dfsg1

=== debian/changelog ===
vulkan-tools (1.2.131.1+dfsg1-1~mx19+1) mx; urgency=medium

  * Repackage of upstream release for MX 19.

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Fri, 28 Feb 2020 10:53:29 -0500

vulkan-tools (1.2.131.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump libvulkan-dev build-dependency.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 11 Feb 2020 23:41:36 +0200
