=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: vulkan-tools
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Build-Depends: debhelper (>= 11),
  cmake,
  glslang-tools,
- libvulkan-dev (>= 1.1.126.0),
+ libvulkan-dev (>= 1.2.131.2),
  libwayland-dev,
  libx11-dev,
  libxcb1-dev,
