## vulkan-tools 1.2.135.0+dfsg1

=== debian/changelog ===
vulkan-tools (1.2.135.0+dfsg1-1~mx19ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19 AHS.

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Mon, 22 Jun 2020 13:20:08 -0400

vulkan-tools (1.2.135.0+dfsg1-1) unstable; urgency=medium

  * New upstream release. (LP: #1871754)
  * control: Bump policy to 4.5.0.
  * control: Use debhelper-compat, bump to 12.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 09 Apr 2020 07:54:05 +0300
