=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: vulkan-tools
 Priority: optional
-Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
 XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
  cmake,
  glslang-tools,
- libvulkan-dev (>= 1.2.131.2),
+ libvulkan-dev (>= 1.2.135.0),
  libwayland-dev,
  libx11-dev,
  libxcb1-dev,
  libxrandr-dev,
  python3,
-Standards-Version: 4.2.0
+Standards-Version: 4.5.0
 Section: libs
 Homepage: https://github.com/KhronosGroup/Vulkan-Tools
 Vcs-Git: https://salsa.debian.org/xorg-team/vulkan/vulkan-tools.git
