=== debian/rules ===
--- 
+++ 
@@ -11,11 +11,11 @@
 	dh_auto_configure -- \
 	-DGLSLANG_INSTALL_DIR=/usr/bin
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
-
-	mv debian/tmp/usr/bin/cube debian/tmp/usr/bin/vulkan-cube
-	mv debian/tmp/usr/bin/cubepp debian/tmp/usr/bin/vulkan-cubepp
 
 override_dh_missing:
 	dh_missing --fail-missing
