## vulkan-tools 1.2.141.0+dfsg1

=== debian/changelog ===
vulkan-tools (1.2.141.0+dfsg1-1) unstable; urgency=medium

  * New upstream release. (Closes: #963297)
  * control: Bump libvulkan-dev build-dep.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 23 Jun 2020 10:40:54 +0300
