=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: vulkan-tools
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Build-Depends: debhelper-compat (= 12),
  cmake,
  glslang-tools,
- libvulkan-dev (>= 1.2.135.0),
+ libvulkan-dev (>= 1.2.141.0),
  libwayland-dev,
  libx11-dev,
  libxcb1-dev,
