=== debian/changelog ===
vulkan-tools (1.2.162.0+dfsg1-1~mx19ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19 AHS.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 25 Jan 2021 18:19:26 -0500

vulkan-tools (1.2.162.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump libvulkan-dev build-dependency.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 07 Jan 2021 10:50:27 +0200

vulkan-tools (1.2.154.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump libvulkan-dev build-dep.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 09 Oct 2020 10:02:45 +0300

vulkan-tools (1.2.148.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump libvulkan-dev build-dep.
  * Drop vulkan-utils transitional package.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 15 Sep 2020 18:15:54 +0300
