## vulkan-tools 1.2.189.0%2Bdfsg1

=== debian/changelog ===
vulkan-tools (1.2.189.0+dfsg1-1~mx21ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21 AHS.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sun, 12 Sep 2021 23:53:20 -0400

vulkan-tools (1.2.189.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump libvulkan-dev build-dep.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 08 Sep 2021 16:22:11 +0300

vulkan-tools (1.2.182.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 01 Sep 2021 16:13:10 +0300
