=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 12),
  cmake,
  glslang-tools,
- libvulkan-dev (>= 1.2.162.0),
+ libvulkan-dev (>= 1.2.189.0),
  libwayland-dev,
  libx11-dev,
  libxcb1-dev,
