=== debian/rules ===
--- 
+++ 
@@ -7,12 +7,12 @@
 %:
 	dh $@ --builddirectory=build/
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	-DGLSLANG_INSTALL_DIR=/usr/bin
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
